/* CHAT */

.chat_menu {
    display: none;
    position: fixed; 
    overflow: hidden;
    right: 20px;
    bottom: 55px;
    flex-direction: column;
    margin-bottom: 2px;
    padding: 10px;
    padding-right: 0;
    border-right: 0;

}
.chat_menu_icons {
    padding: 10px;
    border-radius: 50%;
    background-color: #e7f3fd;
    margin-top: 10px;
    border: none;
    width: 2em;
    height: 2em;
    font-size: 2em;
}

#open-suggestion {
    /*background-color: rgb(242,107,71);*/
    background-color: #b70000;
    color: white;
   
}
#open-chat {
    /*background-color: #01e675;*/
    background-color: #0000a0;
    color: white;
    
}

.chat-menu-text {
    color: #000;
    padding: 0;
    border-radius: 10px;
}

.suggestion-text{
    /*background-color: rgb(242,107,71);*/
    background-color: #b70000;
    display: none;
    height: 25px;
    padding: 0 10px;
    margin-right: 10px;
}

.chat-text{
    /*background-color: #01e675;*/
    background-color: #0000a0;
    display: none;
    height: 25px;
    padding: 0 10px;
    margin-right: 10px;
}

.suggestion-btn {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

.openchat-btn {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

.suggestion-parent {
  width: 300px;    
  height: 450px; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: #e7f3fd;
  border: 1px solid var(--theme-primary);
  border-radius: 5px;
  display: none;
  overflow: hidden;
}

@media only screen and (max-width: 600px) {
    .suggestion-parent {
  width: 90%;    
  height: 90%; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: #e7f3fd;
  border: 1px solid var(--theme-primary);
  border-radius: 5px;
  display: none;
  overflow: hidden;
}
}

.priority-parent {
  width: 300px;    
  height: 450px; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: blue;
  border-radius: 30px;
  display: none;
  overflow: hidden;
}
@media only screen and (max-width: 600px) {
    .priority-parent {
  width: 90%;    
  height: 90%; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: blue;
  border-radius: 30px;
  display: none;
  overflow: hidden;
}
}

.priority-title {
    width: 100%;
    height: 30%;
    border-bottom: 1px grey solid;
}

.prioritybtn {
    width: 40px;
    height: 40px;
    border: none;
    border-radius: 50%;
}

.also-text{
    padding: 10%;
    padding-bottom: 5%;
    color: white;
    
}

.priority-title h1 {
    color: white;
    font-size: 42px;
    padding: 10% 0 0 10%;
    font-weight: 700;
}

.priority-buttons {
    display: flex;
    height: 100%;
    flex-direction: row;
    padding: 5% 5%;
    justify-content: space-around;
    align-items: center;
}

.rating-sucess {
    display: none;
    height: 100%;
    flex-direction: row;
    padding: 0 10%;
    justify-content: center;
    align-items: center;
    color: lightgreen;
}

.priority {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
}
.close-priority {
    color: whitesmoke;
    border: none;
    background: inherit;
}

.low {
    padding-right: 3%;
}
.p-close-btn {
    display: flex;
    justify-content: flex-end;
    padding: 5% 5%;
}

#low-priority {
    background-color: greenyellow;
}
#normal-priority {
    background-color: green;
}
#important-priority {
    background-color: orange;
}
#critical-priority {
    background-color: red;
}

.suggestion-title {
  width: 100%;
  text-align: left;
  background-color: var(--theme-primary);
  height: 27%;
  padding: 0 20px;
  display: inline-flex;
  align-items: center;
  color: #ffffff;
}

.suggestionctrl {
  height: 55%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: calc(100% - 20px);
  margin: 5px 10px;
}

.suggest-txt{
  border-radius: 5px; 
  border: 1px grey solid;
  padding: 2px 5px;
  height: 40px;
  resize: none;
  height: 100%;
  width: 100%;
} 

.suggest-txt:focus { 
  outline: 0px;
}

.send-suggestion {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    padding: 0 5px;
    margin-right: 5px;
    height: 35px;
}

.suggestionbtn p {
    color: white;
    font-weight: 700;
    font-size: 16px;
    height: 20%;
    margin-right: 5px !important;
    margin-bottom: 20px;
}

.suggestionbtn {
    display: flex;
    height: 100%;
    flex-direction: row;
    align-items: center;
    padding: 0 10px;
    background-color: blue;
    border-radius: 5px;
    border: none;
}

.send-fa {
    padding: 5px !important;
    color: white;
    margin-bottom: 4px;
}

.errorMSG {
    margin-right: 10px;
    color: red;
    font-weight: 100;
    font-size: 13px;
}

.chat-app{
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 1031; 
}

#button-open-chat{
  position: fixed;
  bottom: 15px;
  right: 20px;
  background-color: var(--theme-secondary);
  color: white;
  padding: 5px 10px;
  border: none;
  border-radius: 5px;
  display: flex;
  align-items: center;
  align-content: center;
  animation: bounce 5s ease-in-out infinite;
}

@keyframes bounce{
  0%{
    transform:translateY(25%);
  }
  50%{
    transform:translateY(0%);
  }
  100%{
    transform:translateY(25%);
  }
}

#button-open-chat img{
  margin-left: 10px;
  width: 20px;
  width: 20px;
  background-color: white;
  border-radius: 50%;
}

.chat-parent {
  width: 300px;    
  height: 450px; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: #e7f3fd;
  border: 1px solid var(--theme-primary);
  border-radius: 5px;
  display: none;
  overflow: hidden;
}
@media only screen and (max-width: 600px) {
    .chat-parent {
  width: 90%;    
  height: 90%; 
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: #e7f3fd;
  border: 1px solid var(--theme-primary);
  border-radius: 5px;
  display: none;
  overflow: hidden;
}
    
}
.chat-signup-parent {
  width: 300px;  
  height: 450px;   
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: var(--theme-primary);
  border-radius: 20px;
  border-bottom-right-radius: 0;
  display: none;
  overflow: hidden;
}

@media only screen and (max-width: 600px) {
.chat-signup-parent {
  width: 90%;  
  height: 90%;   
  position: fixed; 
  overflow: hidden;
  right: 20px;
  bottom: 55px;
  background-color: var(--theme-primary);
  border-radius: 20px;
  border-bottom-right-radius: 0;
  display: none;
  overflow: hidden;
}}

.chat-signup-parent .title {
  width: 100%;
  height: 20%;
  display: flex;
  justify-content: center;
  color: white;
  font-size: 30px;
  align-content: center;
  align-items: center;
}

.chat-signup-parent .content {
  width: 100%;
  height: 80%;
  padding: 0 40px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  align-content: center;
  padding-bottom: 20px;
}

.intro-message p {
    color: darkgray;
}

.chat-signup-parent button,
.chat-signup-parent input {
  padding: 5px 20px;
  border: none;
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.chat-signup-parent button {
  padding: 10px 20px;
  background-image: linear-gradient(90deg, rgb(179, 0, 0), rgb(250, 81, 137));
  color: #fff;
  transition: all .2s ease-in;
}
.chat-signup-parent button:hover {
  box-shadow: 0 3px 3px 0 rgba(0,0,0,.1);
  border-radius: 5px;
}

.chat-title{
  width: 100%;
  text-align: left;
  background-color: var(--theme-primary);
  height: 70px;
  padding: 0 20px;
  display: inline-flex;
  align-items: center;
  color: #ffffff;
}

.action_buttons {
    padding: 0 10px;
    border: none;
    background: inherit;
    color: white;
    
}
.action_buttons:hover {
    border: none;
    color: red;
}
.timer {
    opacity: 0.7;
}

.chat-actions {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
}

.rate-us {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    background: aliceblue;
    padding: 10px;
}

.rate-us-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    margin: 0;
    background: aliceblue !important;
    padding: 0;
    padding-bottom: 4px;
}

.close-btn{
    border: none;
    background: inherit;
    cursor: pointer;
    padding-right: 10px;
}

.rate-msg {
    margin-bottom: 0 !important;
    padding-right: 2em;
}
.rate-btn {
    border: none;
    cursor: pointer;
    /*border-radius: 50%;*/
    /*color: white;*/
    /*margin: 0 10px;*/
    padding: 5px 10px;
    
}

.disabled_btn {
    color: gray ;
}
.disabled_btn:hover {
    color: gray;
}

#vsatisfied-btn {
     color: #008000;
}

#satisfied-btn {
     color: #9dcf00;
}

#neutral-btn {
     color: #ffa500;
}

#dissatisfied-btn {
     color: #ec5753;
}

#vdissatisfied-btn {
     color: #ff0000;
}

/*display: flex;
    justify-content: center;*/ 
.expanded {
    height: calc(100% - 120px);
}

.minimized {
    height: calc(100% - 220px);
}
.chat-title img{
  width: 30px;
  margin-right: 20px;
  height: 30px;
  border-radius: 50%;
  overflow: hidden;
  background-color: white;
}

#log{
  background-color: #ffffff;
  overflow-y: auto;
  width: 100%;
  /*height: calc(100% - 100px);*/
  -webkit-box-flex: 1;
  padding:0 5px;
}

.chatlogs{
  width: 100%;
  height: auto;
  overflow-x: hidden;
  overflow-y: hidden;
}

.chatlogs::-webkit-scrollbar{
  width: 10px;
}
.chatlogs::-webkit-scrollbar-thumb{
  border-radius: 5px;
  background: rgba(0,0,0,.1);
}

.chat{
  display: flex;
  flex-flow: row wrap;
  align-items: flex-start;
  margin-bottom: 5px;
}

.chat .chat-message{
  width: fit-content;
  word-wrap:break-word;
  padding: 10px;
  margin: 5px 10px 0;
  color: #f9f5f5;
  font-size: 14px;
  max-width:80%;


}
.client .chat-message{
  background: #00008B;
  margin-left: auto;
  right: auto;
  order:-1;
  border-radius: 10px 10px 0px;
  position:relative;
  box-shadow: 0 8px 6px -6px #827f7f;

}
.admin .chat-message{
  position:relative;
  background: #eaeff1;
  color:black;
  order: -1;
  margin-right: 80px;
  right: 5px;
  border-radius: 0px 10px 10px;
  box-shadow: 0 8px 6px -6px #827f7f;
}


.smsctrl{
  height: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: calc(100% - 20px);
  margin:0 10px;
}

.smsctrl .txt{
  border-radius: 5px; 
  border: none;
  padding: 2px 5px;
  height: 40px;
  width: calc(100% - 40px);
  resize: none;
} 

.smsctrl .txt:focus { 
  outline: 0px;
} 

.sendbtn{
  outline: 0;
  border: 0;
  height:40px; 
  width: 40px;
  border-radius: 50%;
  background-color:inherit;
  color: var(--theme-primary);
  font-size: 18px;
  padding: 5px;
  transition: all 0.5s ease-in-out;
}

.sendbtn:focus{
  outline: 0px;
}
